<?php require('head.php');
if(@$infos_user['droit'] > 3)
{

function mdp_gen($taille)
{
	$car = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789*-$';
	$mdp = NULL;
	for($i=0;$i<$taille;$i++)
	{
		$mdp .= $car[rand(0, strlen($car) -1)];
	}
	return $mdp;
}

$s_droits = "* ToutLesDroits(4) - ToutLesDroitsSaufGestionUtilisateurs(3)";

$color = true;
	
if(isset($_GET['action']) && $_GET['action'] == "ajouter")
{
	if(isset($_POST['pseudo']) && $_POST['pseudo'] != '' && !$connexion->query("SELECT * FROM  comptes WHERE pseudo='".$_POST['pseudo']."'")->fetch() && isset($_POST['nom']) && $_POST['nom'] != '' && isset($_POST['prenom']) && $_POST['prenom'] != '' && isset($_POST['num_rue']) && $_POST['num_rue'] != '' && isset($_POST['rue']) && $_POST['rue'] != '' && isset($_POST['ville']) && $_POST['ville'] != '' && isset($_POST['tel']) && $_POST['tel'] != '' && isset($_POST['fonction']) && $_POST['fonction'] != '' && isset($_POST['mdp']) && $_POST['mdp'] != '')
	{
		echo '<div style="text-align:center">';
		if($connexion->query("INSERT INTO `comptes` (`id_compte`, `nom`, `prenom`, `num_rue`, `rue`, `ville`, `tel`, `fonction`, `pseudo`, `mdp1`, `droit`, `suspendu`, `token`) VALUES (NULL, '".$_POST['nom']."', '".$_POST['prenom']."', '".$_POST['num_rue']."', '".$_POST['rue']."', '".$_POST['ville']."', '".$_POST['tel']."', '".$_POST['fonction']."', '".$_POST['pseudo']."', '".md5($_POST['mdp'])."', '".$_POST['droit']."', '".$_POST['suspendu']."', '0123');"))
		{
			echo 'Utilisateur ajoute!</br></br>';
			echo '<sub>Utilisateur: '.$_POST['pseudo'].'</br>';
			echo 'Mot de passe: '.$_POST['mdp'].'</sub>';
		}
		else
		{
			echo 'Une erreur est survenue.. (Aucun utilisateur n\'a ete ajoute)';
		}
		echo '<br/><br/><sub><a href="?action=retour">Retour</a></sub></div>';
	}
	else
	{
		echo '<h1>Ajout d\'utilisateur</h1>';
		echo '<form method="post">';
		echo '<table width="800" border="0" cellspacing="3" cellpadding="0" align="center">';
		echo '<tr> <td class="tab_ajout">Pseudo:</td> <td><input type="text" name="pseudo" id="pseudo" value="'.@$_POST['pseudo'].'">';
		if(isset($_POST['pseudo']) && $connexion->query("SELECT * FROM  comptes WHERE pseudo='".$_POST['pseudo']."'")->fetch())
			echo '<span class="erreur_ajo">Pseudo deja utilise</span>';
		elseif(isset($_POST['pseudo']) && $_POST['pseudo'] == '') echo '<span class="erreur_ajo">Pseudo manquant</span>';
		echo '</td> </tr>';
		echo '<tr> <td class="tab_ajout">Nom:</td> <td><input type="text" name="nom" id="nom" value="'.@$_POST['nom'].'">';
		if(isset($_POST['nom']) && $_POST['nom'] == '')
			echo '<span class="erreur_ajo">Nom manquant</span>'; echo '</td> </tr>';
		echo '<tr> <td class="tab_ajout">Prenom:</td> <td><input type="text" name="prenom" id="prenom" value="'.@$_POST['prenom'].'">';
		if(isset($_POST['prenom']) && $_POST['prenom'] == '')
			echo '<span class="erreur_ajo">Prenom manquant</span>'; echo '</td> </tr>';
		echo '<tr> <td class="tab_ajout">Adresse:</td> <td><input name="num_rue" type="text" id="num_rue" size="10" maxlength="6" value="'.@$_POST['num_rue'].'">
			<input name="rue" type="text" id="rue" size="45" value="'.@$_POST['rue'].'"></td> </tr>';
		echo '<tr> <td class="tab_ajout">Ville:</td> <td><input name="ville" type="text" id="ville" size="45" value="'.@$_POST['ville'].'">';
		if(isset($_POST['num_rue']) && $_POST['num_rue'] == '' or isset($_POST['rue']) && $_POST['rue'] == '' or isset($_POST['ville']) && $_POST['ville'] == '')
			echo '<span class="erreur_ajo">Adresse incomplete</span>'; echo '</td> </tr>';
		echo '<tr> <td class="tab_ajout">Tel.:</td> <td><input type="text" name="tel" id="tel" value="'.@$_POST['ville'].'">';
		if(isset($_POST['tel']) && $_POST['tel'] == '')
			echo '<span class="erreur_ajo">Num. tel. manquant</span>'; echo '</td> </tr>';
		echo '<tr> <td class="tab_ajout">Fonction:</td> <td><input type="text" name="fonction" id="fonction" value="'.@$_POST['fonction'].'">';
		if(isset($_POST['fonction']) && $_POST['fonction'] == '')
			echo '<span class="erreur_ajo">Fonction manquante</span>'; echo '</td> </tr>';
		echo '<tr> <td class="tab_ajout">Droits*:</td> <td><select name="droit" id="droit">
				<option value="1" '; if(@$_POST['droit'] == "1") echo 'selected="selected"'; echo '>1</option>
				<option value="2" '; if(@$_POST['droit'] == "2") echo 'selected="selected"'; echo '>2</option>
				<option value="3" '; if(@$_POST['droit'] == "3") echo 'selected="selected"'; echo '>3</option>
				<option value="4" '; if(@$_POST['droit'] == "4") echo 'selected="selected"'; echo '>4</option>
			</select></td> </tr>';
		echo '<tr> <td class="tab_ajout">Suspendu:</td> <td><select name="suspendu" id="suspendu">
				<option value="0">Non</option>
				<option value="1" '; if(@$_POST['suspendu']) echo 'selected="selected"'; echo '>Oui</option>
			</select></td> </tr>';
		echo  '<tr> <td class="tab_ajout">Mot de passe:</td> <td><input type="text" name="mdp" id="mdp" value="'.@$_POST['mdp'].'"> <a href="#" onClick="mdp.value=\''.mdp_gen(6).'\'; this.innerHTML=\'\'">Generer un mot de passe aleatoire</a>';
		if(isset($_POST['mdp']) && $_POST['mdp'] == '')
			echo '</br><span class="erreur_ajo">Mot de passe manquant</span>'; echo '</td> </tr>';
		echo '</table><div style="text-align:center"><br/><input type="submit" value="Ajouter l\'utilisateur"></form>';
		echo '<br/><br/><sub>'.$s_droits.'</sub></div>';
	}
}
elseif(isset($_GET['action']) && isset($_GET['id']) && $_GET['action']  == "modifier")
{
	if(isset($_POST['nom']) && isset($_POST['prenom']) && isset($_POST['num_rue']) && isset($_POST['rue']) && isset($_POST['ville']) && isset($_POST['tel']) && isset($_POST['fonction']))
	{
		$requ = "UPDATE `comptes` SET `token` ='0123'";
		if(isset($_POST['nom']) && $_POST['nom'] != '') $requ .= ", `nom` = '".$_POST['nom']."'";
		else echo '<span class="erreur_mod">- NOM non modifie -</span></br>';
		if(isset($_POST['prenom']) && $_POST['prenom'] != '') $requ .= ", `prenom` = '".$_POST['prenom']."'";
		else echo '<span class="erreur_mod">- PRENOM non modifie -</span></br>';
		if(isset($_POST['num_rue']) && $_POST['num_rue'] != '') $requ .= ", `num_rue` = '".$_POST['num_rue']."'";
		else echo '<span class="erreur_mod">- NUM. DE RUE non modifie -</span></br>';
		if(isset($_POST['rue']) && $_POST['rue'] != '') $requ .= ", `rue` = '".$_POST['rue']."'";
		else echo '<span class="erreur_mod">- RUE non modifie -</span></br>';
		if(isset($_POST['ville']) && $_POST['ville'] != '') $requ .= ", `ville` = '".$_POST['ville']."'";
		else echo '<span class="erreur_mod">- VILLE non modifie -</span></br>';
		if(isset($_POST['tel']) && $_POST['tel'] != '') $requ .= ", `tel` = '".$_POST['tel']."'";
		else echo '<span class="erreur_mod">- NUM. DE TEL. non modifie -</span></br>';
		if(isset($_POST['fonction']) && $_POST['fonction'] != '') $requ .= ", `fonction` = '".$_POST['fonction']."'";
		else echo '<span class="erreur_mod">- FONCTION non modifie -</span></br>';
		if(isset($_POST['droit']) && $_POST['droit'] != '') $requ .= ", `droit` = '".$_POST['droit']."'";
		if(isset($_POST['suspendu']) && $_POST['suspendu'] != '') $requ .= ", `suspendu` = '".$_POST['suspendu']."'";
		if(isset($_POST['mdp']) && $_POST['mdp'] != '') $requ .= ", `mdp1` = '".md5($_POST['mdp'])."'";
		$requ .= " WHERE `id_compte` =".$_GET['id'].";";
		echo '<div style="text-align:center">';
		if($connexion->query($requ))
		{
			echo 'Les modifications pour l\'utilisateur '.$_POST['pseudo'].' ont ete prises en compte!';
		}
		else
		{
			echo 'Une erreur est survenue.. (Modifications non effectuees)';
		}
		echo '<br/><sub><a href="?action=retour">Retour</a></sub></div>';
	}
	else
	{
		if($result = $connexion->query("SELECT * FROM  comptes WHERE id_compte='".$_GET['id']."'"))
			{
				if($utilisateur = $result->fetch())
				{
					echo '<h1>Modification d\'utilisateur</h1>';
					echo '<form method="post">';
					echo '<table width="800" border="0" cellspacing="3" cellpadding="0" align="center">';
					echo '<tr> <td class="tab_ajout">Pseudo:</td> <td><input type="text" readonly="true" name="pseudo" id="pseudo" value="'.$utilisateur['pseudo'].'"> (non-modifiable)</td> </tr>';
					echo '<tr> <td class="tab_ajout">Nom:</td> <td><input type="text" name="nom" id="nom" value="'.$utilisateur['nom'].'"></td> </tr>';
					echo '<tr> <td class="tab_ajout">Prenom:</td> <td><input type="text" name="prenom" id="prenom" value="'.$utilisateur['prenom'].'"></td> </tr>';
					echo '<tr> <td class="tab_ajout">Adresse:</td> <td><input name="num_rue" type="text" id="num_rue" size="10" maxlength="6"  value="'.$utilisateur['num_rue'].'">
						<input name="rue" type="text" id="rue" size="45" value="'.$utilisateur['rue'].'"></td> </tr>';
					echo '<tr> <td class="tab_ajout">Ville:</td> <td><input name="ville" type="text" id="ville" size="45" value="'.$utilisateur['ville'].'"></td> </tr>';
					echo '<tr> <td class="tab_ajout">Tel.:</td> <td><input type="text" name="tel" id="tel" value="'.$utilisateur['tel'].'"></td> </tr>';
					echo '<tr> <td class="tab_ajout">Fonction:</td> <td><input type="text" name="fonction" id="fonction" value="'.$utilisateur['fonction'].'"></td> </tr>';
					echo '<tr> <td class="tab_ajout">Droits*:</td> <td><select name="droit" id="droit">
					<option value="1" '; if($utilisateur['droit'] == "1") echo 'selected="selected"'; echo '>1</option>
					<option value="2" '; if($utilisateur['droit'] == "2") echo 'selected="selected"'; echo '>2</option>
					<option value="3" '; if($utilisateur['droit'] == "3") echo 'selected="selected"'; echo '>3</option>
					<option value="4" '; if($utilisateur['droit'] == "4") echo 'selected="selected"'; echo '>4</option>
				</select></td> </tr>';
					echo '<tr> <td class="tab_ajout">Suspendu:</td> <td><select name="suspendu" id="suspendu">
							<option value="0">Non</option>
							<option value="1" '; if($utilisateur['suspendu'] == "1") echo 'selected="selected"'; echo '>Oui</option>
						</select></td> </tr>';
					echo  '<tr> <td class="tab_ajout">Nouveau mot de passe:</td> <td><input type="text" name="mdp" id="mdp"> (non-obligatoire)</td> </tr>';
					echo '</table><div style="text-align:center"><br/><input type="submit" value="Enregistrer les modifications"></form>';
					echo '<br/><br/><sub>'.$s_droits.'</sub></div>';
				}
				else
				{
					echo 'Une erreur est survenue.. (Aucun utilisateur avec l\'id: '.$_GET['id'].')';
					echo '<hr width="800px"><sub><a href="?action=retour">Retour</a></sub>';
				}
			}
			else
			{
				echo 'Une erreur est survenue.. (La requete n\'a pas aboutie)';
				echo '<hr width="800px"><sub><a href="?action=retour">Retour</a></sub>';
			}
	}
}
elseif(isset($_GET['action']) && isset($_GET['id']) && $_GET['action']  == "supprimer")
{
	echo '<h1>Suppression d\'utilisateur</h1><div style="text-align:center">';
	if(isset($_GET['token']))
	{
		if($connexion->query("DELETE FROM comptes WHERE id_compte='".$_GET['id']."'"))
			echo 'Utilisateur supprime!';
		else
			echo 'Erreur lors de la suppression..';
		echo '<br/><sub><a href="?action=retour">Retour</a></sub>';
	}
	else
	{
		if($result = $connexion->query("SELECT * FROM  comptes WHERE id_compte='".$_GET['id']."'"))
		{
			if($utilisateur = $result->fetch())
			{
				echo 'Voulez-vous supprimer l\'utilisateur ('.$utilisateur['pseudo'].') '.$utilisateur['nom'].' '.$utilisateur['prenom'].'?</br>';
				echo '<a href="?id='.$_GET['id'].'&action=supprimer&token='.$utilisateur['token'].'">Oui</a> - <a href="?id='.$_GET['id'].'">Non</a>';
				echo '<br/><sub>L\'action de supprimer un utilisateur est irreversible..</sub>';
			}
			else
			{
				echo 'Une erreur est survenue.. (Aucun utilisateur avec l\'id: '.$_GET['id'].')';
				echo '<br/><sub><a href="?action=retour">Retour</a></sub>';
			}
		}
		else 
		{
			echo 'Une erreur est survenue.. (La requete n\'a pas aboutie)';
			echo '<br/><sub><a href="?action=retour">Retour</a></sub>';
		}
	}
	echo '</div>';
}
else
{
	echo '<h1>Gestion des utilisateurs</h1>';
	echo '<table width="800px" border="0" cellspacing="0" cellpadding="0" align="center" style="text-align: center;">';
	echo '<tr>';
	echo '<td>Pseudo</td>';
	echo '<td>NOM Prenom</td>';
	echo '<td>Fonction</td>';
	echo '<td>Adresse</td>';
	echo '<td>Tel.</td>';
	echo '<td>Droits</td>';
	echo '<td>Suspension</td>';
	echo '<td>Actions</td>';
	echo '</tr>';
	$result = $connexion->query("SELECT * FROM  comptes");
	while($compte = $result->fetch())
	{
		$color = !$color;
		if($color) $couleur = "#9CF"; else $couleur = "#9CC";
		
		echo '<tr style="background-color:'.$couleur.';">';
		echo '<td class="ligne">'.$compte['pseudo'].'</td>';
		echo '<td class="ligne">'.$compte['nom'].' '.$compte['prenom'].'</td>';
		echo '<td class="ligne">'.$compte['fonction'].'</td>';
		echo '<td class="ligne">'.$compte['num_rue'].', '.$compte['rue'].'</br>'.$compte['ville'].'</td>';
		echo '<td class="ligne">'.$compte['tel'].'</td>';
		echo '<td class="ligne">'.$compte['droit'].'<sup>*</sup></td>';
		echo '<td class="ligne">'; if($compte['suspendu']) echo 'Oui'; else echo 'Non'; echo '</td>';
		echo '<td class="ligne"><a href="?id='.$compte['id_compte'].'&action=modifier">Modifier</a></br><a href="?id='.$compte['id_compte'].'&action=supprimer">Supprimer</a></td>';
		echo '</tr>';		
	}
	echo '</table></br>';
	echo '&rarr; <a href="?action=ajouter">Ajouter un utilisateur</a>';
	
	echo '<br/><br/><sub>'.$s_droits.'</sub>';
}
}
else echo 'Vous n\'êtes pas autorisé/connecté!';
include('foot.php'); ?>